路思网专注于织梦源码、织梦模板、免费html模板等网站模板分享,为广大站长提供免费网站模板等素材。

路思网

Node.js v4 LTS 成为 Ghost 推荐版本

时间:2016-09-27所属栏目:前端工具

我们将 Ghost 推荐 Node.js 版本升级为 Node.js v4 LTS

我们这样做其实已经落后于计划了。然而,经过大量测试之后,我们确信 Ghost 可以在 Node.js v4 平台上流畅的运行并且内存消耗比原来也减少了。目前,Ghost(Pro) 上托管的所有博客都已经运行在 Node.js v4 LTS 平台了,而且升级过程中零问题。

为什么要升级 Node.js 版本?

将 Ghost(Pro) 上托管的博客全部升级之后,我们发现每个 Ghost 博客所消耗的内存都小于 100mb (注:根据你所使用的主题、内容数量、流量和运行环境的不同会有一些差异)。

Node.js LTS 规划 中明确给出了 Node.js v0.10.x 版本的生命周期截止到 2016 年 10 月 1 号。Ghost 将跟随这一规划,也就是说下一次版本升级或者 10 月 1 号之后将不再支持 Node.js v0.10.x 版本。对于 Node.js 0.12.x 版本的支持也将在 2016 年 12 月 31 日截止。

如果你是在自己的服务器上安装的 Ghost,并且计划未来三个月内升级 Ghost 版本,我们建议 Node.js 和 Ghost 的升级分别独立进行,这样便于查找问题。

如何升级 Node.js

将低版本的 Node.js 升级到 v4 版本分以下四个步骤:

  1. 备份 Ghost!
  2. 升级 Node.js 版本
  3. 在 Ghost 安装目录内执行 npm install --production 命令,确保二进制依赖包是针对 Node.js v4 LTS 版本编译的
  4. 重启 Ghost

如果你正在使用 Digital Ocean 的 droplet,你可以参照 excellent Q & A post 这篇文章了解如何一键安装 Ghost 并同时升级 Node.js。

更多细节

参考资料如下:

参考站点:http://www.ghostchina.com/moving-to-node-js-v4-lts/
标签:nodejs
分享: